<?php

App::uses('BuzzSubscribeAppController', 'BuzzSubscribe.Controller');

class SubscribersController extends BuzzSubscribeAppController {

	public function beforeFilter() {
		parent::beforeFilter();

		$this->Auth->allow(array(
			'subscribe'
		));
	}

	public function subscribe() {
		if (!empty($this->request->data)) {
			if ($this->Subscriber->save($this->request->data)) {
				$this->Session->setFlash(__d('BuzzSubscribe', 'Thank you for subscribing'), 'flash_success');
				// Work out where to redirect to.
				$redirectUrl = $this->referer();
				$redirectUrl = $redirectUrl === Router::url($this->here, true) ? '/' : $redirectUrl;
				return $this->redirect($redirectUrl);
			} else {
				if (!isset($this->request->params['isAjax']) || !$this->request->params['isAjax']) {
					$this->Session->setFlash(__('Please correct the errors below.'), 'flash_fail');
				}
			}
		}

		$this->view = 'BuzzSubscribe./Subscribers/subscribe';

		return;
	}

}
